# Get one's own user details

Get one's own user details, requires use of an API key with a user_id saved on it, typically of 'web' kind

Endpoint: GET /v5/users/me
Version: 3.0.0
Security: basicAuth

## Response 200 fields (application/json):

  - `id` (string)
    the user ID

  - `activated` (boolean)
    user activation status

  - `name` (string)
    full name of user

  - `is_disabled` (boolean)
    disablement status of user

  - `email` (string)
    user email address

  - `email_details` (object)

  - `email_details.address` (string)
    the full email address

  - `email_details.is_valid` (boolean)
    whether the email address is valid

  - `email_details.reason` (string)
    reason why user email is not valid, if applicable

  - `email_details.parts` (object)

  - `email_details.parts.domain` (string)
    email domain

  - `email_details.parts.local_part` (string)
    user email identifier

  - `email_details.parts.display_name` (string)
    email display name, if applicable

  - `role` (string)
    role of user on the account

  - `account_id` (string)
    account ID

  - `opened_ip` (string)
    IP address from which the user opened the account, if applicable

  - `is_master` (boolean)
    whether the user is the account owner

  - `metadata` (object)
    any optional metadata for the user

  - `tfa_enabled` (boolean)
    whether 2-factor auth has been enabled for the user

  - `tfa_active` (boolean)
    whether 2-factor auth has been activated for the user

  - `tfa_created_at` (any)
    Example: "2022-12-20T16:52:01.892000"

  - `password_updated_at` (any)
    Example: "2022-12-20T16:52:01.892000"

  - `preferences` (object)

  - `preferences.time_zone` (string)
    time zone for the user

  - `preferences.time_format` (string)
    preferred timestamp format for the user's in-app experience

  - `preferences.programming_language` (string)
    preferred programming language

  - `auth` (object)

  - `auth.method` (string, required)
    The user-level auth method

  - `auth.prior_method` (string)
    The previous auth method for the user, if applicable

  - `auth.prior_details` (object)
    Details that may be needed for an auth method

  - `github_user_id` (any)

  - `salesforce_user_id` (any)

  - `migration_status` (string)
    status of migration to Sinch ID for user authentication, if applicable

## Response 403 fields (application/json):

  - `message` (string, required)
    Status message


